Inhalte
Index 🔎︎

# Funktion CLng

Konvertiert einen beliebigen Zeichenfolgen- oder numerischen Ausdruck in den Typ "long integer".

### Syntax:

    CLng (Ausdruck As Variant) As Long

### Rückgabewert:

Long

### Parameter:

Ausdruck: Eine beliebiger Zeichenfolgen- oder numerischer Ausdruck, den Sie umwandeln möchten. Um einen Zeichenfolgenausdruck umzuwandeln, muss die Zahl mit einem Punkt "." als Dezimaltrennzeichen und ein Komma "," als Tausendertrennzeichen (beispielsweise 123,456.78) eingegeben werden, was von Ihren LibreOffice-Spracheinstellungen abweichen kann.

Wenn Ausdruck außerhalb des gültigen Long-Integer-Bereichs zwischen -2.147.483.648 und 2.147.483.647 liegt, gibt LibreOffice Basic einen Überlauffehler zurück.

Diese Funktion nimmt stets eine Rundung auf die nächste ganze Zahl vor.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

Numerische Ausdrücke werden entsprechend den LibreOffice-Spracheinstellungen dargestellt:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678) ' 1234,5678
        MsgBox CInt(1234.5678) ' 1235
        MsgBox CLng(1234+5678) ' 6912
        MsgBox CSng(1234.5678) ' 1234,567749023

        MsgBox CDbl(Ausdruck := 5678.1234) ' 5678,1234
        MsgBox CInt(expression := 5678.1234) ' 5678
        MsgBox CLng(expression := 5678+1234) ' 6912
        MsgBox CSng(Ausdruck := 5678.1234) ' 5678,123535156
    End Sub